
Core - Task # 29340

Status: Resolved Priority: Should have
Author: Björn Pedersen Category:
Created: 2011-08-30 Assigned To:
Updated: 2013-11-15 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity:
Sprint Focus:
Subject: Check usage of hash_base.
Description

While checking the use of hash_base in class.tslibfe.php, I found the $this->hash_base is only used in to set
$this->config['hash_base'] in  generatePage_preProcessing (with a comment that it is used for caching informational purposes). But a
grep revealed no further usage of either var's. So maybe that could get deprecated and removed in the future.

Related issues:
duplicates Core - Task # 53404: Page cache saves the hash_base Resolved 2013-11-07

History
#1 - 2011-08-30 09:15 - Björn Pedersen

[9:14] webmaster@wwwtest % pwd
/home/webmaster/frm2/typo3_src_git
[9:14] webmaster@wwwtest % find . -name \*.php -print0 | xargs -0 grep hash_base
./typo3/sysext/cms/tslib/class.tslib_fe.php:    var $hash_base='';                    // Loaded with the serialized array that is used for generating a
hashstring for the cache
./typo3/sysext/cms/tslib/class.tslib_fe.php:     * @return    string        MD5 hash of $this->hash_base which is a serialized version of there
variables.
./typo3/sysext/cms/tslib/class.tslib_fe.php:        $this->hash_base = serialize(
./typo3/sysext/cms/tslib/class.tslib_fe.php:        return md5($this->hash_base);
./typo3/sysext/cms/tslib/class.tslib_fe.php:        $this->config['hash_base'] = $this->hash_base;    // For cache management informational
purposes.

#2 - 2012-03-05 17:37 - Steffen Ritter
- Target version deleted (4.7.0)

#3 - 2013-11-15 17:30 - Alexander Opitz
- Status changed from New to Resolved

Applied in changeset commit:c048755e7229f10f5393f874ef24a18fef2b4e10.
